FLAT2AIDA(1)

NAME
flat2aida - Convert make-plots data files to AIDA XML format.

SYNOPSIS
flat2aida [options] flatfile [flatfile2 ...]

DESCRIPTION
Convert make-plots data files to AIDA XML format. The output is by default written out to a file with the same name as the input (out.aida in the case of stdin) unless the --output option is specified. When specifying either input or output filenames, a '-' is used to refer to stdin or stdout as appropriate.

Histograms can also be filtered by histo path, using the -m or -M options for a positive or negative regex pattern patch respectively.

OPTIONS

-h, --help
    show this help message and exit

-o OUTPUT, --output=OUTPUT
    Write all histos to a single output file. stdout can be explicitly specified by setting '-' as the output filename. This option will be disregarded if --split is specified.

-s, --split
    Split histograms into individual files

--plotinfodir=PLOTINFODIR
    directory which may contain plot header information

-m PATHPATTERNS, --match=PATHPATTERNS
    Only write out histograms whose $path/$name string matches these regexes

-M PATHUNPATTERNS, --unmatch=PATHUNPATTERNS
    Exclude histograms whose $path/$name string matches these regexes

SEE ALSO
aida2flat(1),

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).